PlotData {EmbedSOM} | R Documentation

## Export a data frame for plotting with marker intensities and density.

### Description

Export a data frame for plotting with marker intensities and density.

### Usage

    PlotData(embed, fsom, data = fsom$data, cols, names, normalize = cols,
      qlimit = 0, qlow = qlimit, qhigh = 1 - qlimit, pow = 0,
      vf = PlotId, density = "Density", densBins = 256,
      densLimit = NULL, fdens = sqrt)

### Arguments

`embed, fsom, data, cols` | The embedding data, columns to select
`names` | Column names for output
`normalize` | List of columns to normalize using NormalizeColor, default all
`qlimit, qlow, qhigh, pow` | Parameters for the normalization
`vf` | Custom value-transforming function
`density` | Name of the density column
`densBins` | Number of bins for density calculation
`densLimit` | Upper limit of density (prevents outliers)
`fdens` | Density-transforming function; default sqrt

[Package EmbedSOM version 1.9.1 Index]